package my.petstore.service;

import java.util.List;

import my.petstore.entity.OrderData;

import org.springframework.dao.DataAccessException;


public interface OrderService {
    public class OutOfOrderException extends RuntimeException {
    }

    public void storeOrderData(OrderData orderData) throws OutOfOrderException;
    public OrderData getOrderData(Integer orderId);
    public List<OrderData> getOrderData();
}
